Skip to content

Edit a posting

PATCH
/postings/{postingId}

Updates an existing permanent posting. If status is provided, only the status will be updated and other fields will be ignored.

postingId
required
string

Posting ID

Posting edit request

Request body for patch-posting endpoint. All fields are optional for partial updates. For optional fields (subProfession, benefitsOther): - Omit the field: no update - Send null: set to NULL in database - Send a value: update to that value

object
benefits
Array<string>
[
"Health Insurance",
"401k",
"PTO"
]
benefitsOther
string
Free lunch and snacks
description
string
Looking for an experienced backend engineer
expectedDays
Array<integer>
[
1,
2,
3,
4,
5
]
maxRate
integer
140
minRate
integer
90
officeId

Office Id of owner of the posting

string
675fea060b69de00129d2548
officeSelected
boolean
officeSpecialty
string
Backend Systems
payType
string
Allowed values: Salary Hourly Daily
Hourly
professionType
string
Engineering
recruiterEmail
string
recruiter@example.com
recruiterId
string
675fea060b69de00129d2548
scheduleType
string
Allowed values: Full Time Part Time Flexible
Full Time
status

Status can be set to update only the status (other fields will be ignored)

string
Allowed values: draft active suspended closed
active
subProfession

Optional editable fields - can be omitted, set to null, or set to a value

string
Software Development
title

Editable fields - only updated when exist in JSON

string
Senior Software Engineer

No Content